egdata API
API ReferenceOffer Details

Get consolidated overview data for an offer

GET
/offers/{id}/overview

Path Parameters

id*string

Epic offer identifier.

Query Parameters

country?string

ISO country code used to resolve an Epic Games Store pricing region. Defaults to the EGDATA_COUNTRY cookie, then US.

Length2 <= length <= 2

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/offers/09176f4ff7564bbbb499bbe20bd6348f/overview"
{  "offer": {    "id": "string",    "namespace": "string",    "title": "string",    "description": "string",    "offerType": "string",    "seller": {      "id": "string",      "name": "string"    },    "keyImages": [      {        "type": "string",        "url": "http://example.com",        "width": 0,        "height": 0      }    ],    "price": {      "offerId": "string",      "region": "string",      "price": {        "currencyCode": "string",        "originalPrice": 0,        "discountPrice": 0,        "discount": 0      },      "updatedAt": "2019-08-24T14:15:22Z"    },    "releaseDate": "2019-08-24T14:15:22Z",    "lastModifiedDate": "2019-08-24T14:15:22Z"  },  "price": {    "offerId": "string",    "region": "string",    "price": {      "currencyCode": "string",      "originalPrice": 0,      "discountPrice": 0,      "discount": 0    },    "updatedAt": "2019-08-24T14:15:22Z"  },  "media": {},  "igdb": {},  "features": {},  "ageRating": {},  "giveaways": [    {}  ],  "polls": {},  "genres": [    {}  ],  "technologies": [    {}  ]}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}